# Maintainer: Ultracoolguy <ultracoolguy@disroot.org>

# Kernel config based on: arch/arm64/configs/tegra_linux_defconfig

pkgname=linux-nintendo-nx
pkgver=4.9.140
pkgrel=0
pkgdesc="Nintendo Switch kernel fork"
arch="aarch64"
_carch="arm64"
_flavor="nintendo-nx"
url="https://kernel.org"
license="GPL-2.0-only"
options="!strip !check !tracedeps"
source="artifacts.zip::https://gitlab.com/switchroot/kernel/l4t-kernel-build-scripts/-/jobs/artifacts/merged-tree/download?job=32.3.1
	brcmfmac4356-pcie.txt::https://gitlab.com/switchroot/switch-l4t-configs/-/raw/master/switch-wireless-nvram/brcmfmac4356-pcie.txt
	kernel.release"

subpackages="$pkgname-headers"

package() {
	mkdir -p $pkgdir/boot/
	mkdir -p $pkgdir/usr/lib/firmware/brcm/
	mkdir -p $pkgdir/usr/lib/modules

	#Install modules
	echo a
	ls $pkgdir
	cp $srcdir/kernel/Image $pkgdir/boot/
	ln -s /boot/Image $pkgdir/boot/vmlinuz-4.9.140
	tar xf $srcdir/kernel/modules.tar.gz -C $pkgdir/usr/lib/

	#NVRAM config
	install -Dm 0644 $srcdir/brcmfmac4356-pcie.txt $pkgdir/usr/lib/firmware/brcm/

	#Device tree
	cp $srcdir/kernel/tegra210-icosa.dtb $pkgdir/boot/

	#Kernel release
	install -D $srcdir/kernel.release $pkgdir/usr/share/kernel/4.9.140/kernel.release
}

headers() {
	pkgdesc="Header files and scripts for Nintendo Switch kernel fork"

	mkdir -p $subpkgdir/
	tar xf $srcdir/kernel/update.tar.gz -C $subpkgdir/
}
sha512sums="
f8681c7289d98b89417ac84e602d11b712ffcc6284988c3af6811bccb3db418d013e756e1faf15635a25986e62f276af9fdee18dd66df9229287e80d618a4534  artifacts.zip
656fc9fc35be73edb441b788adf361ed5271d26e5eb0591c3b71f3cd676f2c5711179a868f910c65c9803b15993f69443010caa113a9f7971375c7fac19d19f7  brcmfmac4356-pcie.txt
36ba15dc7d6bbe16eeab928f6ee4cce3587a8e74240b2f99b37211408f1a8816c52fff93390a1315c68cf4ec48a3fed6a261e0841e6491c0864cf15f99d6100d  kernel.release
"
